# Netapp Library (LUCI)
This repo contains all of the Netapp Library components. These components can be viewed by running this repo locally and viewing the component examples demonstrated here.

## Running this repo locally
### Dependencies
1. NodeJS  
Make sure you have nodejs `6.0` or higher installed. To check your version of node go to the command line and enter:  
`node -v`  

To install the latest version of node, visit [nodejs.org](https://nodejs.org)
2. Gulp CLI  
The `gulp-cli` node module needs to be installed globally. To do so go to the command line and enter:  
`npm install gulp-cli -g`

### Installing
1. Clone this repo  
`git clone https://ngage.netapp.com/stash/scm/lc/netapp-library.git`
2. Switch to the `release/2.0.0` branch (while 2.0.0 is in development)  
`git checkout release/2.0.0`
3. Install the environment dependencies  
`cd <place-you-cloned-the-repo>`  
`npm install`
4. Start the dev environment  
`gulp`

### Viewing the Local Environment
By default running `gulp` in the command line from the root of the project will launch your browser, most likely at `http://localhost:3000`. This is the index page for the library. 

This environment contains "sink" pages demonstrating various components and visual style concepts. This is separate from the [LUCI documentation site](http://luci.netapp.com).  
The LUCI documentation site consumes this module, its components, and its tokens, and adds additional documentation about the LUCI Design System.

### Stopping the Local Environment
Enter `ctrl + c` at the command line to stop the local environment. Type `gulp` to start it up again.

### Developing in the Local Environment
This environment is built on the open source `esds-build` project: [esds-build](https://github.com/EightShapes/esds-build).  
Refer to the `esds-build` documentation for where to place assets and build components.
